[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.ShortCutKey2

Secondary shortcut key for the control.

## Declaration

Source position: stdctrls.pp line 1258

`public property TCustomButton.ShortCutKey2 : TShortcut read FShortCutKey2;`

## Description

ShortCutKey2 is a TShortCut property with the secondary shortcut key or accelerator key for the control. The property value contains both the virtual key code and the shift modifier for the short cut key. The property value (along with Shortcut) is passed to the widgetset class when the WSSetText method is called.

Use the ShortCut and ShortCutToKey routines in the menu.pp unit to convert to and from virtual key codes with shift modifiers.